> ## Documentation Index
> Fetch the complete documentation index at: https://vas-partner-api-docs.finpaytech.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Primary Virtual Account



## OpenAPI

````yaml /openapi.json get /api/v1/merchants/me/virtual-account
openapi: 3.1.0
info:
  title: Emaal Virtual Accounts API
  version: 1.0.0
  description: Merchant collection APIs. Base URL https://vas.finpaytech.co/business-api
servers:
  - url: https://vas.finpaytech.co/business-api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Virtual Accounts
  - name: Customers
  - name: Invoice VA
  - name: Payer Instructions
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/merchants/me/virtual-account:
    get:
      tags:
        - Virtual Accounts
      summary: Get Primary Virtual Account
      operationId: getPrimaryVirtualAccount
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VirtualAccountResponse'
              example:
                id: 9d6be39e-9465-4d67-a05a-4b366352bd64
                merchantId: 301f0991-8f7c-4501-a1d4-c317fe7b7f23
                ownerType: MERCHANT
                ownerId: 301f0991-8f7c-4501-a1d4-c317fe7b7f23
                purpose: LEGACY
                purposeLabel: Legacy merchant VA
                purposeDescription: Primary collection account for the merchant
                accountNumber: '7600000035'
                accountName: Emaal - WithLotus
                bankDisplayName: UBA Kenya
                accountType: STATIC
                accountTypeLabel: Static virtual account
                accountTypeDescription: A permanent collection account number
                viewerGuidance: null
                status: ACTIVE
                balance: 130
                feeBalance: 0.39
                currency: KES
                collectionAccountId: a5380b81-49da-456b-b12e-ba50b56c0217
                singleDepositLimit: null
                expireAt: null
                createdAt: '2026-08-31T12:47:01.898Z'
components:
  schemas:
    VirtualAccountResponse:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PASETO
      description: Access token from POST /api/v1/auth/login

````